«

»

New Android smartphones must run KitKat, claims leaked Google memo

According to a Google memo that was allegedly leaked, all new Android smartphones must come with Android 4.4 KitKat pre-installed. Budget and mid-level phones, such as the recently announced Samsung Galaxy Core LTE, traditionally ship with older forms of Google's operating system, with software upgrades to more current versions arriving anywhere up to a year later. According to Mobile Bloom, the …